Vai al contenuto
Ultimo aggiornamento

checkDataWitheIDAssertion method

Use this method to check the data with an eIDAssertion.

This method checks the validity of:

Check How to enroll a disposable with an assertion provided by an authorized eID for more details.

For the full technical reference, see the OpenAPI specification.

Endpoint

POST /api/certificate/{lraId}/checkDataWitheIDAssertion

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

Body parameters

ParameterTypeRequiredDescription
eidAssertionHolderobjectYesDisposableeIDAssertionHolder object.
contactsobjectYesDisposableContacts object.
certificateobjectYesDisposableCertificate object.

Request example

{
    "eidAssertionHolder": {
        "assertion": "encoded base64 assertion",
        "country": "IT",
        "eIDType": "SPID"
    },
    "contacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "certificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE"
    }
}

Response examples

200 — Success

Empty body

Errors: Check here the main errors triggered.